openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | Safe-Inferred
Language | Haskell2010

OpenAPIPetstore.API.FakeClassnameTags123

Contents

- Operations
  - FakeClassnameTags123
    - testClassname

Description

Synopsis

- testClassname :: (Consumes TestClassname MimeJSON, MimeRender MimeJSON Client) => Client -> OpenAPIPetstoreRequest TestClassname MimeJSON Client MimeJSON
- data TestClassname

# Operations

## FakeClassnameTags123

### testClassname

testClassname Source #

Arguments

:: (Consumes TestClassname MimeJSON, MimeRender MimeJSON Client) |
=> Client | "body" - client model
-> OpenAPIPetstoreRequest TestClassname MimeJSON Client MimeJSON |

    PATCH /fake_classname_test

To test class name in snake case

To test class name in snake case

AuthMethod: `AuthApiKeyApiKeyQuery`

data TestClassname Source #

#### Instances

Instances details

HasBodyParam TestClassname Client Source # | Body Param "body" - client model
Instance details Defined in OpenAPIPetstore.API.FakeClassnameTags123 Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClassname contentType res accept -> Client -> OpenAPIPetstoreRequest TestClassname contentType res accept Source #

Consumes TestClassname MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.FakeClassnameTags123

Produces TestClassname MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.FakeClassnameTags123